<?php

class Controller
{
    public function model($model)
    {
        require_once '../app/Models/' . $model . '.php';
        return new $model;
    }

    public function view($view, $dados = [])
    {
        if (isset($dados['dados'])) {
            extract($dados['dados']); // extrai variáveis do array 'dados'
        }

        if (isset($dados['conteudo'])) {
            $conteudo = $dados['conteudo'];
        }

        $arquivo = '../app/Views/' . $view . '.php';

        if (file_exists($arquivo)) {
            include $arquivo;
        } else {
            die("A view $view não foi encontrada");
        }
    }

    public function carregarTemplate($view, $dados = [])
    {
        if (isset($dados['dados'])) {
            extract($dados['dados']);
        }

        if (isset($dados['conteudo'])) {
            $conteudo = $dados['conteudo'];
        }

        require_once __DIR__ . '/../Views/topo.php';
        require_once __DIR__ . '/../Views/' . $view . '.php';
        require_once __DIR__ . '/../Views/rodape.php';
    }
}
